> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List dbt environments

> <Note>
  This endpoint requires **Connection Viewer** or higher permissions for the connection.
</Note>

Retrieves a list of all dbt environments configured for the specified connection.




## OpenAPI

````yaml /api/openapi.yaml get /v1/connections/{connectionId}/dbt/environments
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/connections/{connectionId}/dbt/environments:
    get:
      tags:
        - dbt
      summary: List dbt environments
      description: >
        <Note>
          This endpoint requires **Connection Viewer** or higher permissions for the connection.
        </Note>


        Retrieves a list of all dbt environments configured for the specified
        connection.
      operationId: listDbtEnvironments
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the connection
      responses:
        '200':
          description: List of dbt environments retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DbtEnvironment'
              examples:
                multipleEnvironments:
                  summary: Multiple environments
                  value:
                    - id: 247dc6dc-2a58-4688-9521-c5ed3e99c1e8
                      name: Production
                      isDefaultEnvironment: true
                      ownerId: null
                      targetDatabase: null
                      targetName: null
                      targetRole: null
                      targetSchema: public
                      variables: []
                    - id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name: Development
                      isDefaultEnvironment: false
                      ownerId: 550e8400-e29b-41d4-a716-446655440000
                      targetDatabase: dev_analytics_db
                      targetName: null
                      targetRole: null
                      targetSchema: analytics_dev
                      variables:
                        - id: b2c3d4e5-f6a7-8901-bcde-f12345678901
                          name: DBT_TARGET
                          value: dev
                          isSecret: false
                        - id: c3d4e5f6-a7b8-9012-cdef-123456789012
                          name: DBT_API_KEY
                          value: null
                          isSecret: true
                emptyList:
                  summary: No environments configured
                  value: []
        '401':
          description: Missing or invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: >
            Forbidden


            Possible causes:

            - Insufficient permissions. **Connection Viewer** or higher
            permissions for the connection are required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Connection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  schemas:
    DbtEnvironment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the dbt environment
        name:
          type: string
          description: The name of the dbt environment
        isDefaultEnvironment:
          type: boolean
          description: Whether this is the default environment
        ownerId:
          type: string
          format: uuid
          nullable: true
          description: The user ID of the owner of the dbt environment, or null
        targetDatabase:
          type: string
          nullable: true
          description: Target database override
        targetName:
          type: string
          nullable: true
          description: Target name override
        targetRole:
          type: string
          nullable: true
          description: Target role override
        targetSchema:
          type: string
          description: Target schema for the environment
        variables:
          type: array
          description: Environment variables
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                description: Variable identifier
              name:
                type: string
                description: Variable name
              value:
                type: string
                nullable: true
                description: >
                  Variable value. If `isSecret: true`, this value will be `null`
                  in responses to protect sensitive information.
              isSecret:
                type: boolean
                description: |
                  Whether the variable value is secret.
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````